local map = vim.api.nvim_set_keymap
local opts = { noremap = true, silent = true }

map('n', '<S-Tab>', '<Cmd>bp<CR>', opts)
map('n', '<Tab>', '<Cmd>bn<CR>', opts)
map('n', '<[b>', '<Cmd>bp<CR>', opts)
map('n', '<]b>', '<Cmd>bn<CR>', opts)
map('n', '<leader>w', '<Cmd>bd<CR>', opts)
map('n', '<leader>s', '<Cmd>w<CR>', opts)
map('n', '<leader>S', '<Cmd>w!<CR>', opts)
map('n', '<Enter>', 'za<CR>', opts)
map('n', '`', '<Cmd>Neotree toggle<CR>', opts)
map('n', '~', '<Cmd>SymbolsToggle<CR>', opts)
map('n', '<leader>e', '<Cmd>Neotree toggle<CR>', opts)
map('n', '<leader>ff', "<Cmd>Telescope live_grep<CR>", opts)
map('n', '<leader>fq', "<Cmd>Telescope quickfix<CR>", opts)
map('n', '<leader>fr', "<Cmd>Telescope registers<CR>", opts)
map('n', '<leader>f/', "<Cmd>Telescope current_buffer_fuzzy_find<CR>", opts)
map('n', '<leader>flr', "<Cmd>Telescope lsp_references<CR>", opts)
map('n', '<leader>fls', "<Cmd>Telescope treesitter<CR>", opts)
map('n', '<leader>fld', "<Cmd>Telescope diagnostics<CR>", opts)
map('n', '<leader>fgs', "<Cmd>Telescope git_status<CR>", opts)
map('n', '<leader>fgb', "<Cmd>Telescope git_branches<CR>", opts)
map('n', '<leader>fgc', "<Cmd>Telescope git_commits<CR>", opts)
map('n', '<leader>fgC', "<Cmd>Telescope git_bcommits<CR>", opts)
map('n', '<leader>t', "<Cmd>Switch<CR>", opts)
map('n', '<leader>r', "<Cmd>Spectre<CR>", opts)
map('n', '<Up>', "<C-a>", opts)
map('n', '<Down>', "<C-x>", opts)
map('n', '<Right>', "<Cmd>Switch<CR>", opts)
map('n', '<Left>', "<Cmd>Switch<CR>", opts)
map('n', '<leader>r', ":IncRename ", opts)
map('n', '<leader>l', "<cmd>lua vim.lsp.buf.hover()<CR>", opts)
